com.icesoft.faces.facelets.component.progress

## Class ProgressAsyncBean

- java.lang.Object
- - com.icesoft.faces.facelets.component.progress.ProgressAsyncBean

- All Implemented Interfaces:
    java.io.Serializable

      public class ProgressAsyncBean
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgressAsyncBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getProgress()`
    `java.lang.Runnable` | `getRunnable()`
    `ProgressState` | `getState()`
    `void` | `init()`
    `boolean` | `isDisableButton()`
    `void` | `predestroy()`
    `void` | `setDisableButton(boolean disableButton)`
    `void` | `setProgress(int progress)`
    `void` | `setRunnable(java.lang.Runnable runnable)`
    `void` | `setState(ProgressState state)`
    `void` | `start(javax.faces.event.ActionEvent actionEvent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgressAsyncBean

          public ProgressAsyncBean()

  - ### Method Detail

    - #### init

          @PostConstruct
          public void init()

    - #### predestroy

          @PreDestroy
          public void predestroy()

    - #### getProgress

          public int getProgress()

    - #### setProgress

          public void setProgress(int progress)

    - #### getState

          public ProgressState getState()

    - #### setState

          public void setState(ProgressState state)

    - #### getRunnable

          public java.lang.Runnable getRunnable()

    - #### setRunnable

          public void setRunnable(java.lang.Runnable runnable)

    - #### isDisableButton

          public boolean isDisableButton()

    - #### setDisableButton

          public void setDisableButton(boolean disableButton)

    - #### start

          public void start(javax.faces.event.ActionEvent actionEvent)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.